Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.junit.ant
Class ConfigurableJUnitTest

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.junit.BaseTest
          org.apache.tools.ant.taskdefs.optional.junit.JUnitTest
              org.jboss.portal.common.junit.ant.ConfigurableJUnitTest

All Implemented Interfaces:
  java.lang.Cloneable

    public class ConfigurableJUnitTest

extends org.apache.tools.ant.taskdefs.optional.junit.JUnitTest

Used by ant to create a representation of the test to run.

Version:
  $Revision: 7228 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.optional.junit.BaseTest
`destDir, errorProperty, failureProperty, filtertrace, fork, formatters, haltOnError, haltOnFail, ifProperty, unlessProperty`

Constructor Summary
`ConfigurableJUnitTest()`

Method Summary
`void` | `addParameter(TestParameter parameter)`
`java.lang.String` | `getId()`
`void` | `saveState()` Save the state of the junit test on the disk for reuse later in the forked virtual machine.
`void` | `setId(java.lang.String id)`
`void` | `setTask(ConfigurableJUnitTask task)`

Methods inherited from class org.apache.tools.ant.taskdefs.optional.junit.JUnitTest
`clone, errorCount, failureCount, getFormatters, getName, getOutfile, getProperties, getRunTime, runCount, setCounts, setName, setOutfile, setProperties, setRunTime, shouldRun`

Methods inherited from class org.apache.tools.ant.taskdefs.optional.junit.BaseTest
`addFormatter, getErrorProperty, getFailureProperty, getFiltertrace, getFork, getHaltonerror, getHaltonfailure, getTodir, setErrorProperty, setFailureProperty, setFiltertrace, setFork, setHaltonerror, setHaltonfailure, setIf, setTodir, setUnless`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurableJUnitTest

    public ConfigurableJUnitTest()

Method Detail

### addParameter

    public void addParameter(TestParameter parameter)

### setTask

    public void setTask(ConfigurableJUnitTask task)

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

### saveState

    public void saveState()

  Save the state of the junit test on the disk for reuse later in the forked virtual machine. As there is not clear life cycle of the usage of this class, we need to save the state initially and on every update.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.